Skip to main content
GET
/
api
/
v2
/
channels
/
accounts
/
{accountId}
/
publish-options
/
{field}
/
values
Publish Option Values
curl --request GET \
  --url https://aitoearn.cn/api/v2/channels/accounts/{accountId}/publish-options/{field}/values \
  --header 'X-Api-Key: <api-key>'
{
  "code": 0,
  "message": "Request succeeded",
  "data": {
    "field": "string",
    "valueType": "list",
    "items": {}
  }
}

Authorizations

X-Api-Key
string
header
required

Need to get API Key from AiToEarn. Click to go to "API Key Obtaining Tutorial".

Path Parameters

accountId
string
required

Channel account ID. It must be an account authorized by the current user, and the platform to which the account belongs should be consistent with the platform queried in the "Platform Publishing Options" interface.

field
string
required

Publishing options field. The value comes from the data[n].field returned by the "Platform Publish Options" interface, such as tid, categoryId, location_id, boardId.

Response

200 - application/json

The request has been processed by the service. Business success is determined by whether the response body has code === 0.

code
integer
required

Business status code. 0 means success; non-zero means a business error.

message
string
required

Response message.

data
object
requestId
string

Request ID.

timestamp
integer

Error response timestamp in Unix milliseconds.